VMware Integrated OpenStack with Kubernetes 4.1 supports Kubernetes version 1.8.1. You can upgrade clusters created using VMware Integrated OpenStack with Kubernetes 4.0 to be compatible with Kubernetes version 1.8.1.

About this task

The cluster upgrade is optional. For example, you do not need to upgrade a cluster to perform scale or delete operations using VMware Integrated OpenStack with Kubernetes 4.1.

Prerequisites

  • Verify that VMware Integrated OpenStack with Kubernetes 4.0 has been upgraded to 4.1.

Procedure

  1. Log in to the VMware Integrated OpenStack with Kubernetes VM.
  2. Run the CLI command.
    vkube cluster upgrade <ID>

    Where ID is the cluster ID.

Results

After upgrading, the cluster appears with Kubernetes version 1.8.1.